//+------------------------------------------------------------------+
//|   #Dailyscalping.mq4
//|Base from Spudfibo credited to Banzai
//|Edited to dailyscalping by Darkkiller
//|Please do not sell or do classes using this indicator,just share the knowledge.
//| Version 1.1 - Add Sound alert
//+------------------------------------------------------------------+
#property  indicator_chart_window
string version = "SkyDartScalp v1.1";

extern string note1 = "Fibonacci colors";
extern color MainFiboColor = SandyBrown;
extern string note2 = "Draw main Fibonacci lines?";
extern bool  InnerFibs = true;
extern bool  DisplayChartVaues = false;
extern bool Sound_Alert = true;


double HiPrice, LoPrice, Range;
double Difference,PendingBuy1,PendingBuy2,TP1,TP2,TP3,TP4,SL1,SL2,SL3,SL4,PendingSell1,PendingSell2,CommonSL,OpenPrice,ClosePrice;
datetime StartTime;

int init()
{
   return(0);
}

int deinit()
{
   ObjectDelete("FiboIn");
   CleanChart();
   return(0);
}


//+------------------------------------------------------------------+
//| Draw Fibo
//+------------------------------------------------------------------+

int DrawFibo()
{
 	OpenPrice=iOpen(NULL,1440,1);
 	ClosePrice=iClose(NULL,1440,1);
 	
	if(InnerFibs)
	{
		if(ObjectFind("FiboIn") == -1)
			ObjectCreate("FiboIn",OBJ_FIBO,0,StartTime,HiPrice,StartTime+PERIOD_D1*60,LoPrice);
		else
		{
			ObjectSet("FiboIn",OBJPROP_TIME2, StartTime);
			ObjectSet("FiboIn",OBJPROP_TIME1, StartTime+PERIOD_D1*60);

			if(OpenPrice<ClosePrice){  // Draw Fibo for Bull Trend
			   ObjectSet("FiboIn",OBJPROP_PRICE1,HiPrice);
			   ObjectSet("FiboIn",OBJPROP_PRICE2,LoPrice);
			}
			
			if(OpenPrice>ClosePrice){  // Draw Fibo for Bear Trend
			   ObjectSet("FiboIn",OBJPROP_PRICE2,HiPrice);
			   ObjectSet("FiboIn",OBJPROP_PRICE1,LoPrice);
			}   

	}
		
	// Draw Fibo for Bull Trend	
	if(OpenPrice<ClosePrice){	
   	ObjectSet("FiboIn",OBJPROP_LEVELCOLOR,MainFiboColor); 
   	ObjectSet("FiboIn",OBJPROP_FIBOLEVELS,11);
   	
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+0,1.236);	ObjectSetFiboDescription("FiboIn",0,"123.6 TAKE PROFIT1 Buy   %$"); 
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+1,0.0);	ObjectSetFiboDescription("FiboIn",1,"0.0 TAKE PROFIT Sell   %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+2,0.236);	ObjectSetFiboDescription("FiboIn",2,"23.6 PENDING SELL   %$"); 
  	  	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+3,0.768);	ObjectSetFiboDescription("FiboIn",3,"76.8 PENDING BUY   %$");
  	  	//PendingBuy1=FiboIn; Print(PendingBuy1);
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+4,1.000);	ObjectSetFiboDescription("FiboIn",4,"100 TAKE PROFIT Buy  %$");
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+5,0.500);	ObjectSetFiboDescription("FiboIn",5,"50 StopLoss sell-buy   %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+6,-0.236); ObjectSetFiboDescription("FiboIn",6,"-23.6 TAKE PROFIT1 Sell   %$");
   
   
   
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+7,0.382);	ObjectSetFiboDescription("FiboIn",7,"38.2 Early PEN SELL & SL   %$");
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+8,0.618);	ObjectSetFiboDescription("FiboIn",8,"61.8 Early PEN BUY & SL   %$");
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+9,0.886); ObjectSetFiboDescription("FiboIn",9,"88.6 Early TP Buy   %$");
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+10,0.114);	ObjectSetFiboDescription("FiboIn",10,"11.4 Early TP Sell   %$");  
      ObjectSet("FiboIn",OBJPROP_RAY,true);
      ObjectSet("FiboIn",OBJPROP_BACK,true);
   	
   }
   
   // Draw Fibo for Bear Trend
	if(OpenPrice>ClosePrice){	
   	ObjectSet("FiboIn",OBJPROP_LEVELCOLOR,MainFiboColor); 
   	ObjectSet("FiboIn",OBJPROP_FIBOLEVELS,11);
   	
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+10,1.236);	ObjectSetFiboDescription("FiboIn",0,"123.6 TAKE PROFIT1 Buy   %$"); 
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+9,0.0);	ObjectSetFiboDescription("FiboIn",1,"0.0 TAKE PROFIT Sell   %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+8,0.236);	ObjectSetFiboDescription("FiboIn",2,"23.6 PENDING SELL   %$"); 
  	  	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+7,0.768);	ObjectSetFiboDescription("FiboIn",3,"76.8 PENDING BUY   %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+6,1.000);	ObjectSetFiboDescription("FiboIn",4,"100 TAKE PROFIT Buy  %$");
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+5,0.500);	ObjectSetFiboDescription("FiboIn",5,"50 StopLoss sell-buy   %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+4,-0.236); ObjectSetFiboDescription("FiboIn",6,"-23.6 TAKE PROFIT1 Sell   %$");
   
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+3,0.382);	ObjectSetFiboDescription("FiboIn",7,"38.2 Early PEN SELL & SL   %$");
      ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+2,0.618);	ObjectSetFiboDescription("FiboIn",8,"61.8 Early PEN BUY & SL   %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+1,0.886); ObjectSetFiboDescription("FiboIn",9,"88.6 Early TP Buy   %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+0,0.114);	ObjectSetFiboDescription("FiboIn",10,"11.4 Early TP Sell   %$");  
   	ObjectSet("FiboIn",OBJPROP_RAY,true);
   	ObjectSet("FiboIn",OBJPROP_BACK,true);
   	
   }   
   
   
   }
   else
	   ObjectDelete("FiboIn");
}

//+------------------------------------------------------------------+
//| Indicator start function
//+------------------------------------------------------------------+

int start()
{
	int shift	= iBarShift(NULL,PERIOD_D1,Time[0]) + 1;	// yesterday
	HiPrice		= iHigh(NULL,PERIOD_D1,shift);
	LoPrice		= iLow (NULL,PERIOD_D1,shift);
	StartTime	= iTime(NULL,PERIOD_D1,shift);
	
	if(TimeDayOfWeek(StartTime)==0/*Sunday*/)
	{//Add fridays high and low
		HiPrice = MathMax(HiPrice,iHigh(NULL,PERIOD_D1,shift+1));
		LoPrice = MathMin(LoPrice,iLow(NULL,PERIOD_D1,shift+1));
	}

	Range = HiPrice-LoPrice;
   
//   PendingBuy1,PendingBuy2,TP1,TP2,SL1,SL2, PendingSell1,PendingSell2
//   TP3,TP4,SL1,SL2,SL3,SL4, CommonSL
   
   
   //PendingBuy1=LoPrice+Range*0.886;
   PendingBuy1=LoPrice+Range*0.768;
   PendingBuy2=LoPrice+Range*0.618;
   PendingSell1=LoPrice+Range*0.382;
   PendingSell2=LoPrice+Range*0.236;
   
   CommonSL=LoPrice+Range*0.5;
   
   TP1=HiPrice;
   TP2=LoPrice+Range*0.886;
   TP3=LoPrice+Range*0.114;
   TP4=LoPrice;
   
   SL1=PendingBuy2;
   SL2=CommonSL;
   SL3=CommonSL;
   SL4=PendingSell1;
   
   
	DrawFibo();
   if(DisplayChartVaues) ChartComments();
	return(0);
}


void ChartComments()
{
   string sComment   = "";
   string sp         = "*************************************\n";
   string NL         = "\n";

   sComment = sp;
   sComment = sComment + version +NL+NL;  
     
   sComment = sComment + "Pending Buy 1 = "+ DoubleToStr(PendingBuy1,Digits) + " TP= " + DoubleToStr(TP1,Digits) + " SL=" + DoubleToStr(SL1,Digits) +NL; 
   sComment = sComment + "Pending Buy 2 = "+ DoubleToStr(PendingBuy2,Digits) + " TP= " + DoubleToStr(TP2,Digits) + " SL=" + DoubleToStr(SL2,Digits) +NL; 
   sComment = sComment + "Pending Sell 1 = "+ DoubleToStr(PendingSell1,Digits) + " TP= " + DoubleToStr(TP3,Digits) + " SL=" + DoubleToStr(SL3,Digits) +NL; 
   sComment = sComment + "Pending Sell 2 = "+ DoubleToStr(PendingSell2,Digits) + " TP= " + DoubleToStr(TP4,Digits) + " SL=" + DoubleToStr(SL4,Digits) +NL;
   

        
  sComment = sComment + sp;
  Comment(sComment);
}	


void CleanChart()
{
   string sComment   = "";
   string NL         = "\n";

   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   sComment = sComment + NL;
   Comment(sComment);
}	 


